
QGIS Application - Bug report #327

QGIS can't save JPEG images on MS-Windows

2006-10-03 11:08 PM - Redmine Admin

Status: Closed

Priority: Low

Assignee: Marco Pasetti -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10386

Description

It is unable to save map canvas as image (in Windows 0.8.0 Preview2 only, Linux version works)

History

#1 - 2006-11-09 08:52 PM - Gavin Macaulay -

- Status changed from Open to Closed

- Resolution set to fixed

Fixed in the preview3 0.8 version of qgis under windows

#2 - 2006-11-10 02:40 PM - Redmine Admin

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

If you save as PNG image it works fine but if you choose JPEG format, only empty file is created :-(

#3 - 2006-11-10 07:04 PM - Gavin Macaulay -

Works for me with the latest windows version of qgis (preview3). What version of qgis are you using?

#4 - 2006-11-11 01:57 AM - Redmine Admin

Tim's latest WINDOWS build (created yesterday) from http://qgis.org/uploadfiles/testbuilds/qgis_setup.exe running on Windows XP SP2 Home edition.

#5 - 2006-12-14 08:49 PM - Gary Sherman

- Status changed from Feedback to Closed

- Resolution set to fixed

Works in current test build of Windows version (dated 2006-12-12).

#6 - 2008-04-09 01:53 AM - Redmine Admin
http://qgis.org/uploadfiles/testbuilds/qgis_setup.exe


The bug is back again :-(

Unable to save as JPEG in 0.9.1 and 0.9.2rc1.

#7 - 2008-04-09 01:56 AM - Redmine Admin

- Status changed from Closed to Feedback

- Resolution deleted (fixed)

The bug is back again :-( Unable to save as JPEG in 0.9.1 and 0.9.2rc1.

#8 - 2008-04-14 07:02 AM - 4everskiff -

Replying to [comment:7 lubaby]:

The bug is back again :-( Unable to save as JPEG in 0.9.1 and 0.9.2rc1.

this is because I didn't built the jpeg support in MSYS/MinGW environment. I chose to not build it because it reported errors during some tests. The current

environment has PNG and TIFF support, built with latest source code releases. GDAL uses internal supports for both PNG, TIFF and JPEG.

JPEG support is actually in my to-do list for next builds. Adding it since now would require some extra-time because I must re-build a lot of things

depending on it (tiff, gdal, grass....).

If dev-team retains that is major bug to absolutely fix until 0.9.2 release I could setup the job, but, as I told above, it would require some extra time.

Marco

#9 - 2008-06-20 04:37 AM - Marco Pasetti -

- Status changed from Feedback to Open

I succesfully built the JPEG shared library on [[MinGW]]. It's works fine with GRASS.

It will be added to next QGIS build too.

Marco

#10 - 2008-07-12 01:44 AM - Paolo Cavallini

It should have been fixed in the latest win installer. Let's wait for the final testing before closing it.

#11 - 2008-07-16 06:08 AM - Marco Pasetti -

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in 0.11.0 Metis

2025-05-18 2/3



#12 - 2009-08-22 12:56 AM - Anonymous

Milestone Version 0.11.0 deleted
